import 'package:flutter/widgets.dart';

import 'pointer_painter.dart';

class PointerDrawer extends StatelessWidget {
  const PointerDrawer({
    Key? key,
    required this.offsets,
    required this.color,
  }) : super(key: key);

  final List<Offset> offsets;
  final Color color;

  @override
  Widget build(BuildContext context) {
    print('object');
    return offsets.isEmpty
        ? SizedBox.expand()
        : Stack(
            alignment: Alignment.center,
            children: [
              CustomPaint(
                painter: CirclePainter(offset: offsets, color: color),
                child: ConstrainedBox(
                  constraints: const BoxConstraints.expand(),
                ),
              ),
              Text('data'),
            ],
          );
  }
}
