import 'package:flutter/widgets.dart';

class WidgetSwitch<T> extends StatelessWidget {
  final T value;
  final Map<T, Widget> widgetFactories;

  const WidgetSwitch({
    required this.value,
    required this.widgetFactories,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var builder = widgetFactories[value];
    return builder!;
  }
}
